<template>
  <div v-if="loading">
    <loading />
  </div>
  <div v-else class="flex flex-col p-3 h-auto" style="width: 500px;">
    <upcoming-detail :data="data"></upcoming-detail>
  </div>
</template>

<script>
import { defineAsyncComponent } from "vue";

const upcomingDetail = defineAsyncComponent(() =>
  import("./components/UpcomingDetail")
);

import { FETCH_DETAIL_ORDER } from "@/modules/order/store";

export default {
  components: {
    upcomingDetail,
  },

  data() {
    return {
      showModal: this.$route.meta.showModal,
      nomorOrder: this.$route.params.nomorOrder,
      loading: false,
      data: null,
    };
  },

  created() {
    this.getData();
  },

  methods: {
    getData() {
      this.loading = true;
      this.$store
        .dispatch(FETCH_DETAIL_ORDER, this.nomorOrder)
        .then((data) => {
          setTimeout(() => {
            this.data = data;
            this.loading = false;
          }, 500);
        })
        .catch(() => {
          this.$router.back(-1);
        });
    },
  },
};
</script>
